package com.mcwl.memberCenter.consumer;

import com.mcwl.common.constant.QueueConstants;
import com.mcwl.memberCenter.domain.UserMember;
import com.mcwl.memberCenter.service.UserMemberService;
import com.mcwl.memberCenter.task.UserMemberTask;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;


@Slf4j
@Component
@RequiredArgsConstructor
public class EmptyPointsRemindConsumer {

    private final UserMemberService userMemberService;

    @RabbitListener(queues = QueueConstants.EMPTY_POINTS_REMIND_QUEUE)
    public void emptyPointsRemind(List<UserMember> userMemberList) {
        // TODO 发送短信提醒用户积分即将清零
        log.info("消费者获取到积分清零提醒的数据:{}", userMemberList);
    }


    @RabbitListener(queues = QueueConstants.MEMBER_BILLING_QUEUE)
    public void memberBillingQueue(UserMember userMember) {
        // TODO 发送短信提醒用户会员账单，如果支付成功，更新last_payment_date，并重新计算end_date（start_date + 1个月）
        log.info("消费者获取到会员账单的数据:{}", userMember);
    }





}
