package com.mcwl.memberCenter.domain;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberMenu;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_user_member")
public class UserMember extends BaseEntity {

    @TableId
    private Long id;

    // 用户ID
    private Long userId;

    // 会员ID
    private Long memberId;

    // 会员开始时间
    private Date startDate;

    // 会员结束时间
    private Date endDate;

    // 会员积分
    private Integer points;

    // 订阅状态 active（活跃，连续包月）、inactive（非活跃，不连续包月）、pending（待支付）和expired（过期）
    private MemberMenu subscriptionStatus;

    // 支付方式
    private String paymentMethod;

    // 上次支付时间
    private Date lastPaymentDate;

    // 下次计费时间
    private Date nextBillingDate;

    // 上次登录时间
    private Date lastLoginDate;

    // 状态(0:正常 1:禁用)
    private String status;

    // 备注
    private String remark;

}
